#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

/* Some useful routines. */

/* Fail, with a printf-like syntax. */
void
fatal (const char *format, ...)
{
  va_list args;

  va_start (args, format);
  vfprintf (stderr, format, args);
  va_end (args);
  fprintf (stderr, "\n");
  exit (1);
}

/* Like malloc, but checks out for "out of memory" errors. */
void *
xalloc (int size)
{
  void *p = malloc (size);
  if (p == NULL)
    fatal ("out of memory");
  return p;
}
